DynamicAttributeDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.collection.DynamicAttributeDefinitionParser interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.collection
Interface DynamicAttributeDefinitionParser

All Superinterfaces:
  org.springframework.beans.factory.xml.BeanDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration

All Known Implementing Classes:
  AttributeListEntryDefinitionParser

    public interface DynamicAttributeDefinitionParser

extends MuleDefinitionParser

Method Summary
`void` | `forceParent(org.springframework.beans.factory.config.BeanDefinition parent)` This is implemented in `AbstractHierarchicalDefinitionParser` and allows us to "fake" a parent when processing the same element.
`void` | `setAttributeName(String attributeName)`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`getBeanName, muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Method Detail

### setAttributeName

    void setAttributeName(String attributeName)

### forceParent

    void forceParent(org.springframework.beans.factory.config.BeanDefinition parent)

  This is implemented in `AbstractHierarchicalDefinitionParser` and allows us to "fake" a parent when processing the same element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.